### Method

# GLib Private set

#### Declaration

    void
    g_private_set (
      GPrivate* key,
      gpointer value
    )

#### Description

Sets the thread local variable `key` to have the value `value` in the current thread.

This function differs from `g_private_replace()` in the following way: the `GDestroyNotify` for `key` is not called on the old value.

#### Parameters

`value`

  Type: `gpointer`

  The new value.

  The argument can be `NULL`.
  The data is owned by the caller of the method.